### Method

# Gimp FileProcedure set_magics

#### Declaration [src]

    void
    gimp_file_procedure_set_magics (
      GimpFileProcedure* procedure,
      const gchar* magics
    )

#### Description [src]

Registers the list of magic file information this procedure can handle.

Available since: | 3.0

#### Parameters

`magics` | `const gchar*`
| A comma-separated list of magic file information (i.e. “0,string,GIF”).
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.